Bug 1069591 - [GSS] (6.3.1) ERROR: remote lookup Channel end notification received, closing channel Channel ID is seen when looking up a remote queue
Summary: [GSS] (6.3.1) ERROR: remote lookup Channel end notification received, closing...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Naming
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.3.1
Assignee: emartins
QA Contact: Jan Martiska
URL: https://c.na7.visual.force.com/apex/C...
Whiteboard:
Keywords: Triaged
Depends On: 1131626
Blocks: 1087606 eap631-blockers, eap631-payload, eap63-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-02-25 11:02 UTC by Shaun Appleton
Modified: 2019-05-20 11:08 UTC (History)
9 users (show)

(edit)
When performing a lookup on a remote queue from within an EJB, although the operation executes successfully, after the context is closed the following error is displayed:

----
Channel end notification received, closing channel Channel ID b8e969d6 (outbound) of Remoting connection 4970f4db to DEVPC016970/10.23.132.245:5301
---- 

This issue will fixed in a future update.
Clone Of:
: 1131626 (view as bug list)
(edit)
Last Closed: 2014-10-13 18:36:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3201 Major Closed Channel end notification received, closing channel ... should be logged at debug 2019-04-15 07:15 UTC

Description Shaun Appleton 2014-02-25 11:02:46 UTC
Description of problem:
Within an ejb, if you make a lookup on a remote queue. the operation goes well, but after the context is closed, the following error gets displayed:

Channel end notification received, closing channel Channel ID b8e969d6 (outbound) of Remoting connection 4970f4db to DEVPC016970/10.23.132.245:5301


How reproducible:
Very

Steps to Reproduce:
0. download https://github.com/myannou/jbossRefApp/
1. execute Case01043891.closeChannel() in the minibankref1 support application.


The reproducer doe the following - 

Client -> EJB (on a cluster of 2 nodes) -> looks up a remote queue (on another cluster of 2 nodes)

The 2 clusters are running on the same machine.



I have the reproducer set up that demonstrates this.

Actual results:
Error seen when 

Expected results:
No error to be reported for a normal situation

Additional info:

It looks to be that the org.jboss.naming.remote.protocol.v1.RemoteNamingStoreV1.handleEnd method:

261         public void handleEnd(final Channel channel) {
262             log.errorf("Channel end notification received, closing channel %s", channel);
263             try {
264                 channel.close();
265             } catch (IOException ignore) {
266             }
267         }

reports an error when handling the end

Note this was addressed by https://bugzilla.redhat.com/show_bug.cgi?id=900323
The fix there was to say that this error is OK by adding text in the jms quickstart - this is a bodge.

An error is not OK for an expected situation.

The fix is to reduce the severity of the message to something more appropriate.

262             log.debugf("Channel end notification received, closing channel %s", channel);

Comment 5 Shaun Appleton 2014-08-04 12:02:03 UTC
OK this need to be in EAP 6.3.0.CP01 then.

Comment 6 Shaun Appleton 2014-08-04 12:06:50 UTC
Shouldn't this be listed as a known issue in the docs?

Comment 7 Jan Martiska 2014-08-04 12:56:27 UTC
Shaun, you are right. Filed https://bugzilla.redhat.com/show_bug.cgi?id=1126440

Comment 13 Jan Martiska 2014-09-02 08:23:48 UTC
Verified in EAP 6.3.1.CR1 / jboss-remote-naming 1.0.9.Final-redhat-1


Note You need to log in before you can comment on or make changes to this bug.